# SourcePath: pcre/20170127dev
Summary: Perl-compatible regular expression librar
Name: sony-target-dev-pcre
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-pcre
Version: 8.38
Release: 12000001
Source: pcre-%{version}.tar.bz2
Patch0: pcre-cross.patch
Patch1: fix-pcre-name-collision.patch
Patch2: pcre-8.38-CVE-2016-3191.patch
URL: http://www.pcre.org/
License: BSD
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}

%description
Perl-compatible regular expression library.
PCRE has its own native API, but a set of "wrapper" functions that are based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file
for the POSIX-style functions is called pcreposix.h.

%package -n %{pkgname}
Summary: Perl-compatible regular expression librar
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Perl-compatible regular expression library.
PCRE has its own native API, but a set of "wrapper" functions that are based on
the POSIX API are also supplied in the library libpcreposix. Note that this
just provides a POSIX calling interface to PCRE: the regular expressions
themselves still follow Perl syntax and semantics. The header file
for the POSIX-style functions is called pcreposix.h.

%prep
%setup -n pcre-%{version} -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%build
%sony_target_dev_setup
%demangle_XXX_config
%sony_target_dev_configure 
make


%install
rm -rf ${RPM_BUILD_ROOT}
%sony_target_dev_setup
%sony_target_dev_makeinstall

%demangle_libtool

rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}

# 6.x
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_bin_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_bin_dir}/*-config \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_bin_dir}
#rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_bin_dir}

mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/*.a \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig \
        ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_devtool_lib_dir}

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done


%clean
rm -rf ${RPM_BUILD_ROOT}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_devtool_bin_dir}/pcre-config

%{sony_target_dir}%{sony_target_dev_bin_dir}/pcregrep
%{sony_target_dir}%{sony_target_dev_bin_dir}/pcretest

%{sony_target_dir}%{sony_target_dev_include_dir}/pcre.h
%{sony_target_dir}%{sony_target_dev_include_dir}/pcre_scanner.h
%{sony_target_dir}%{sony_target_dev_include_dir}/pcre_stringpiece.h
%{sony_target_dir}%{sony_target_dev_include_dir}/pcrecpp.h
%{sony_target_dir}%{sony_target_dev_include_dir}/pcrecpparg.h
%{sony_target_dir}%{sony_target_dev_include_dir}/pcreposix.h

%{sony_target_dir}%{sony_target_dev_lib_dir}/libpcre.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpcre.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpcre.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpcre.so.1
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpcre.so.1.2.6
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpcrecpp.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpcrecpp.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpcrecpp.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpcrecpp.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpcrecpp.so.0.0.1
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpcreposix.a
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpcreposix.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpcreposix.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpcreposix.so.0
%{sony_target_dir}%{sony_target_dev_lib_dir}/libpcreposix.so.0.0.3

%{sony_target_dir}%{sony_target_devtool_lib_dir}/libpcre.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libpcrecpp.a
%{sony_target_dir}%{sony_target_devtool_lib_dir}/libpcreposix.a

%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libpcre.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libpcrecpp.pc
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/libpcreposix.pc


%changelog
* Fri Jan 27 2017 Sony Corporation
- Version update to 8.38.

* Fri Mar 29 2013 Sony Corporation
- Version update to 8.32.

* Mon Mar 29 2010 Sony Corporation
- Initial build.
